function [Beta,ObjFnVal]=GMA_Optimization(Beta_int,W)

[~,Opt_lb,Opt_ub,Opt_Tolrnc,Opt_method,Opt_MS_inst]=User_OptInitiation(); % to call user inputs for the optimization solver

display('*****************************');
display('*** REPORT: Optimization begins...');

%% Optimization properties
options = optimset;
options = optimset(options,'Display', 'iter-detailed');
options = optimset(options,'TolFun', Opt_Tolrnc);
options = optimset(options,'TolX', Opt_Tolrnc);
options = optimset(options,'PlotFcns', {  @optimplotx @optimplotfunccount @optimplotfval @optimplotstepsize });
options = optimset(options,'Algorithm', 'interior-point');

%% Optimization method, 'GMA_ObjFn' is the obj fn
% create an optimization problem
problem = createOptimProblem('fmincon','objective',@(Beta)GMA_ObjFn(Beta,W),'x0',Beta_int,'lb',Opt_lb,'ub',Opt_ub,'options',options);

% Run global search or multi start search. See Matlab help for more information.
if strcmp(Opt_method,'GS')
    gs=GlobalSearch('StartPointsToRun','bounds', 'TolFun', Opt_Tolrnc, 'TolX', Opt_Tolrnc);
    [Beta,ObjFnVal] = run(gs,problem);
else
    ms=MultiStart( 'StartPointsToRun', 'bounds', 'TolFun', Opt_Tolrnc, 'TolX', Opt_Tolrnc);
    [Beta,ObjFnVal] = run(ms,problem,Opt_MS_inst);
end

display('*** REPORT: Optimization ends!');
display(Beta);
display('************************************');

end