% to capture empirical and simulated signatures from 'User_Model_(l)' functions

function [EmpSign,SimSign_S]=GMA_Signatures(Beta,S,r)

[L,~,~,~,~,~]=User_GeneralInputs(); % to call the number of prior studies (L)

for s=1:S
    
    EmpSign=[];
    SimSign=[];
    
    for l=1:L % Call 'User_Model_(l)' functions where l is 1 to L
        Fn=str2func(['@(Beta,s,r)' 'User_model_' num2str(l) '(Beta,s,r)']);
        [EmpSign_model, SimSign_model]=Fn(Beta,s,r);
        
        EmpSign=[EmpSign; EmpSign_model];
        % Put all empirical signatures in one vector (EmpSign)
        SimSign=[SimSign; SimSign_model];
        % Put all simulated signatures in one vector (SimSign)
    end
    
    SimSign_S(:,s)=SimSign; 
end
end