function D = GMA_Var_Delta(Beta, J)

eps = 0.001;
[~,S,~,~,r,~]=User_GeneralInputs();

%% Shift parameters (Beta) one epsilon up and down

for i=1:J
    for z=1:2*J
        if fix((z+1)/2)==i
            BS(i,z)=Beta(i)*(1+ (rem(z,2)*2-1) * eps);
        else
            BS(i,z)=Beta(i);
        end
    end
end

for i=1:2*J
    [~,Sim_sign]=GMA_Signatures(BS(:,i), S, r);
    AveSim_sign(:,i)=sum(Sim_sign, 2)/S;
end

%% D is used to estimate the changes in simulated signatures with respect to changes in Beta.

for i=1:2*J
    if rem(i,2)==0
        
        LSim(:,fix(i/2))=AveSim_sign(:,i); %  +eps
    else
        USim(:,fix(i/2+0.5))=AveSim_sign(:,i); %  -eps
    end
end

a=Beta*(1+eps); b=Beta*(1-eps);
sm=size(AveSim_sign, 1);
for i=1:sm
    D(i,:)=(USim(i,:)-LSim(i,:)) ./ (a-b);  % size: m*J, where
    % m is the number of signatures and J is the number of parameters in
    % Beta
end
end