function Q = GMA_Var_EstimatedVar(Beta, W, SS)

[~, S,~,~,~,~]=User_GeneralInputs();
J=size(Beta,2);   % number of parameters

%% Numerical differentiation 
% changes in simulated signatures with respect to changes in parameters
D=GMA_Var_Delta(Beta, J);

%% Estimation of the variations of Beta

DW   =  D' * W * D;
DW_1 =  inv(DW);

WDS   = (W * D)' * SS * (W * D);
Q   = (1+1/S) .* DW_1' * (WDS\DW); % Covariance matrix of parameters (Beta). 
% The diagonal of this matrix presents the variances of estimated parameters (Beta)

end