% To be completed by the user; includes general information (i.e.,
% constants such as the number of replications

function [L, S, S_large, Opt_n, r, ConfLvl]=User_GeneralInputs()

L=3; % number of prior models to aggregate
S = 7; % number of simulations (replications)
S_large = 200; % number of simulations, larger than S to better estimate
% the weighting matrix (W)

Opt_n=3;
% When Opt=1, the diagonal of W is the inverse of empirical signatures.
% When Opt=2 or higher, W is the inverse of covariance matrix of simulated
% signatures, given the estimated Beta.
% Each new W is used for the next round of Beta estimation.
% This process can be continued until convergency is achieved, however most
% problems typically achieve convergency in a few iterations.
% Opt should be always >=1.

r=1; % an arbitrary parameter in the codes representing the number of iterations
% for bootstrapping. It changes the noise seed of random generation processes in
% the codes. r is only used for bootstrapping when it should be larger than
% one (see Supplementary Notes on Bootstrapping).

ConfLvl=0.95; % Confidence level (e.g., 95%), used in the estimation of 
% confidence interval of Beta

end