function Y=User_Meta_model(Beta,X,s,r)

n=size(X,1); % sample size of the simulated explanatory variables (X)

%% Error term in the meta model
rng(s+r*1000) % to control the random generation process (i.e., fix the noise seed
% based on s (number of simulations) and r (number of replications for bootstrapping).
Error= Beta(end)*randn(n, 1); % = mean + Std*randn();  where mean=0
% Note that the last value of Beta (Beta(end)) is used as standard deviation for error
% term. See 'User_OptInitioation' function for more info.

%% Meta-model to calculate Y
% structure of hypothesized meta-model
Y = Beta(1) + Beta(2)*X(:,1)  + Beta(3)*X(:,2) + Beta(4)*X(:,3) + Error;

end