function SIGMA=User_SIGMA()

% SIGMA is needed in order to generate random variables X.
% It can be obtained from existing empirical data sets, from prior studies,
% or if there is no information available it can be considered as unknown
% parameters (i.e., as additional components of vector Beta) and be estimated,

% In this example, variance and correlation matrix are obtained from prior studies,
% and the covariance matrix is estimated as follow:
Var =[0.21  1.12  4.38];

SDev=sqrt(Var);

Corr=[1 0.05 0.2
    0.05 1 0.7
    0.2 0.7 1];

SIGMA=Corr.*(SDev'*SDev);

if sign(eig(SIGMA))<0  %check the positivity of Eigenvalues
    display('**** Note: Covariance matrix is NOT positive semi-definite.')
    beep
end

end